EUrouter

Embeddings

API reference for Embeddings

OpenAPI JSON

Create embeddings

POST
/api/v1/embeddings

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.eurouter.ai/api/v1/embeddings" \  -H "Content-Type: application/json" \  -d '{    "model": "bge-m3",    "input": "European AI infrastructure"  }'
{
  "id": "string",
  "object": "list",
  "data": [
    {
      "object": "embedding",
      "embedding": [
        0
      ],
      "index": -9007199254740991
    }
  ],
  "model": "string",
  "usage": {
    "prompt_tokens": -9007199254740991,
    "total_tokens": -9007199254740991,
    "cost": 0,
    "cost_currency": "USD",
    "cost_eur": 0,
    "is_byok": true,
    "cost_details": {
      "upstream_inference_cost": 0,
      "upstream_inference_prompt_cost": 0,
      "upstream_inference_completions_cost": 0
    }
  },
  "provider": "string"
}

Was this page helpful?

Still stuck? Contact support